<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.milestones.dialog.title.duplicate-milestone'
  "
  [dialogId]="'duplicate-milestone-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="m-10" [formGroup]="formGroup">
      <div class="sqtm-core-dialog-form p-4">
        <label class="label label__align_right">{{
          'sqtm-core.entity.generic.name.label' | translate
        }}</label>
        <sqtm-core-text-field
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'label'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-text-field>

        <label class="label label__align_right">{{
          'sqtm-core.entity.milestone.status.label' | translate
        }}</label>
        <sqtm-core-select-field
          [fieldName]="'status'"
          [formGroup]="formGroup"
          [options]="milestoneStatusOptions"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-select-field>

        <label class="label label__align_right">{{
          'sqtm-core.entity.milestone.end-date.label' | translate
        }}</label>
        <sqtm-core-date-picker
          class="full-width"
          [fieldName]="'endDate'"
          [formGroup]="formGroup"
          [serverSideFieldValidationError]="serverSideValidationErrors"
          [allowEmptyValue]="false"
        >
        </sqtm-core-date-picker>

        <label class="label label__align_right">{{
          'sqtm-core.entity.generic.description.label' | translate
        }}</label>
        <sqtm-core-rich-text-field
          [formGroup]="formGroup"
          [fieldName]="'description'"
          [serverSideFieldValidationError]="serverSideValidationErrors"
        >
        </sqtm-core-rich-text-field>

        <label class="label label__align_right">{{
          'sqtm-core.administration-workspace.milestones.dialog.message.duplication.duplication-options.label'
            | translate
        }}</label>
        <div class="flex-row">
          <span
            nz-checkbox
            style="margin: auto 5px auto 0"
            [formGroup]="formGroup"
            formControlName="bindToRequirements"
            ngDefaultControl
            [attr.data-test-field-name]="'bindToRequirements'"
          >
          </span>
          <label class="label label__align_right m-l-5">{{
            'sqtm-core.entity.requirement.label.plural' | translate
          }}</label>
        </div>

        <div class="flex-row second-column">
          <span
            nz-checkbox
            style="margin: auto 5px auto 0"
            [formGroup]="formGroup"
            formControlName="bindToTestCases"
            ngDefaultControl
            [attr.data-test-field-name]="'bindToTestCases'"
          >
          </span>
          <label class="label label__align_right">{{
            'sqtm-core.entity.test-case.label.singular' | translate
          }}</label>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <div
      style="justify-content: flex-end"
      class="flex-row flex-fixed-size m-b-8 m-r-10"
    >
      <button
        [attr.data-test-dialog-button-id]="'add'"
        style="margin-left: 5px"
        nz-button
        nzType="primary"
        (click)="confirm()"
      >
        {{ 'sqtm-core.generic.label.add' | translate }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'cancel'"
        style="margin-left: 5px"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    </div>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
